org.apache.coyote

## Interface ActionHook

- All Known Implementing Classes:
    AbstractProcessor, AjpProcessor, Http11Processor

      public interface ActionHook

  Action hook. Actions represent the callback mechanism used by coyote servlet containers to request operations on the coyote connectors. Some standard actions are defined in ActionCode, however custom actions are permitted. The param object can be used to pass and return informations related with the action. This interface is typically implemented by ProtocolHandlers, and the param is usually a Request or Response object.
  Author:
    Remy Maucherat

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(ActionCode actionCode, Object param)` Send an action to the connector.

- - ### Method Detail

    - #### action

          void action(ActionCode actionCode,
                      Object param)

      Send an action to the connector.
      Parameters:
        `actionCode` - Type of the action
        `param` - Action parameter

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.